petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPPIPEFCG

A Pipelined, Flexible Conjugate Gradient method The natural norm for this method is (u,Au). This norm is available at no computational costs. Choosing norm types preconditioned or unpreconditioned involves an extra blocking global reduction, thus removing any benefit from pipelining.

Supports left preconditioning only.

### Reference

Pipelined, Flexible Krylov Subspace Methods Patrick Sanan, Sascha M. Schnepp, Dave A. May

### Options Database Keys

| -ksp_pipefcg_mmax <N> | - . -ksp_pipefcg_nprealloc <N>
| -ksp_pipefcg_truncation | - - -ksp_pipefcg_trancation_restart

### See Also

: KSPFCG, KSPPIPECG, KSPPIPECR, KSPGCR, KSPPIPEGCR, KSPFGMRES, KSPCG, KSPPIPEFCGSetMmax(), KSPPIPEFCGGetMmax(), KSPPIPEFCGSetNprealloc(), KSPPIPEFCGGetNprealloc(), KSPPIPEFCGSetTruncationType(), KSPPIPEFCGGetTruncationType()

Level:intermediate
Location:src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages